Bug 11700 - smbget options should be streamlined with the rest of the Samba utils
smbget options should be streamlined with the rest of the Samba utils
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.3.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 13:32 UTC by Andreas Schneider
Modified: 2016-02-17 08:35 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.4 (21.06 KB, patch)
2016-01-28 13:36 UTC, Andreas Schneider
ambi: review+
slow: review+
Details
more patches (2.04 KB, patch)
2016-02-11 16:33 UTC, Christian Ambach
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2016-01-28 13:32:41 UTC
smget option should be streamlined with the rest of the Samba utils. So that -U is the username option and supports specifying the username and password on the commandline.
Comment 1 Andreas Schneider 2016-01-28 13:36:06 UTC
Created attachment 11796 [details]
patch for 4.4
Comment 2 Ralph Böhme 2016-01-28 14:47:15 UTC
Reassigning to Karolin for inclusion in 4.4.
Comment 3 Karolin Seeger 2016-02-02 11:04:55 UTC
(In reply to Ralph Böhme from comment #2)
Pushed to autobuild-v4-4-test.
Comment 4 Karolin Seeger 2016-02-04 08:01:18 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-4-test.
Closing out bug report.

Thanks!
Comment 5 Christian Ambach 2016-02-11 16:33:12 UTC
Created attachment 11830 [details]
more patches

Sorry, there was a fatal mistake in the previous patchset. We also need these follow-up patches.
Comment 6 Karolin Seeger 2016-02-15 09:43:40 UTC
(In reply to Christian Ambach from comment #5)
Pushed to autobuild-v4-4-test.
Comment 7 Karolin Seeger 2016-02-17 08:35:34 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-4-test.
Closing out bug report.

Thanks!